require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.QUICHE, "quicheSpinach", false);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersBleu", true);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpGrilled", false);

SManager:AddMeal(MealType.FISH, "fishGingerSalmon", false);
SManager:AddMeal(MealType.FISH, "fishGrilledLemonHal", true);
SManager:AddMeal(MealType.FISH, "fishSwordfishOlive", true);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMNewYork", false);
SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMChicago", false);
SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMBoston", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");